This page last changed on Jul 11, 2013 by alessg1.

I have a problem in ios app, when runnig on IOS6, i get error in GroupController.m for line [self setView:portraitPaginationController.view] i get "A view can only be associated with at most one view controller at a time!"
and one more question why i get error from linker for some lib files do not contain armv7s slice?

The iOS console code started quite some time ago and did not evolve enough to be fully compatible with iOS 6.
The iOS console currently in the AppStore was compiled with Xcode 4.5 and SDK 5 but should work without issues on iOS 6.

The problem you are seeing is because you did recompile against iOS 6 SDK and some things that were tolerated under iOS 5 now crash under iOS 6.
I believe this issue occurs when you have a group with multiple screens in it, because of current code around the Pagination controller setup.

Issue with armv7s slice is similar, it's a lib compiled with older Xcode that does not contain code for latest devices.

Are you interested in working on this issue?

Posted by ebariaux at Jul 12, 2013 13:10
Document generated by Confluence on Jun 05, 2016 09:41